summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoy Marples <uberlord@gentoo.org>2007-05-18 10:26:40 +0000
committerRoy Marples <uberlord@gentoo.org>2007-05-18 10:26:40 +0000
commit95473d9202850c003ebf61a5274d345d78f610c6 (patch)
tree4bda1e68a9b752d27f4f9bd9f6235d3cf7a82f56 /x11-drivers/ati-drivers/files
parentversion bump (diff)
downloadgentoo-2-95473d9202850c003ebf61a5274d345d78f610c6.tar.gz
gentoo-2-95473d9202850c003ebf61a5274d345d78f610c6.tar.bz2
gentoo-2-95473d9202850c003ebf61a5274d345d78f610c6.zip
Fix the init script to work on baselayout-2
(Portage version: 2.1.2.7)
Diffstat (limited to 'x11-drivers/ati-drivers/files')
-rw-r--r--x11-drivers/ati-drivers/files/atieventsd.init40
1 files changed, 20 insertions, 20 deletions
diff --git a/x11-drivers/ati-drivers/files/atieventsd.init b/x11-drivers/ati-drivers/files/atieventsd.init
index dfd37199de7d..9f647f5a84b0 100644
--- a/x11-drivers/ati-drivers/files/atieventsd.init
+++ b/x11-drivers/ati-drivers/files/atieventsd.init
@@ -1,20 +1,20 @@
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/files/atieventsd.init,v 1.1 2007/02/22 22:24:22 marienz Exp $
-
-depend() {
- need acpid
-}
-
-start() {
- start-stop-daemon --start --pidfile /var/run/atieventsd.pid \
- --exec /opt/sbin/atieventsd -- ${ATIEVENTSDOPTS}
- echo $(pidof atieventsd) > /var/run/atieventsd.pid
- eend $?
-}
-
-stop() {
- start-stop-daemon --stop --quiet --pidfile /var/run/atieventsd.pid
- eend $?
-}
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/files/atieventsd.init,v 1.2 2007/05/18 10:26:40 uberlord Exp $
+
+depend() {
+ need acpid
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --exec /opt/sbin/atieventsd -- ${ATIEVENTSDOPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --exec /opt/sbin/atieventsd
+ eend $?
+} \ No newline at end of file